---
lang: en
title: 'API docs: context.defaultconfigurationresolver.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.defaultconfigurationresolver.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [DefaultConfigurationResolver](./context.defaultconfigurationresolver.md) &gt; [(constructor)](./context.defaultconfigurationresolver.(constructor).md)

## DefaultConfigurationResolver.(constructor)

Constructs a new instance of the `DefaultConfigurationResolver` class

<b>Signature:</b>

```typescript
constructor(context: Context);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | <code>Context</code> |  |


